Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network17.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
17.167.0.0
Broadcast address
17.167.127.255
First usable
17.167.0.1
Last usable
17.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 11A70000 · Integer 296157184 to 296189951
Reverse DNS zones
0.167.17.in-addr.arpa
1.167.17.in-addr.arpa
2.167.17.in-addr.arpa
3.167.17.in-addr.arpa
4.167.17.in-addr.arpa
5.167.17.in-addr.arpa
6.167.17.in-addr.arpa
7.167.17.in-addr.arpa
8.167.17.in-addr.arpa
9.167.17.in-addr.arpa
10.167.17.in-addr.arpa
11.167.17.in-addr.arpa
12.167.17.in-addr.arpa
13.167.17.in-addr.arpa
14.167.17.in-addr.arpa
15.167.17.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010001.10100111.00000000.0000000017.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00010001.10100111.00000000.0000000017.167.0.0
Broadcast00010001.10100111.01111111.1111111117.167.127.255
Split into smaller subnets/28

17.167.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
117.167.0.0/2817.167.0.1 to 17.167.0.1417.167.0.1514
217.167.0.16/2817.167.0.17 to 17.167.0.3017.167.0.3114
317.167.0.32/2817.167.0.33 to 17.167.0.4617.167.0.4714
417.167.0.48/2817.167.0.49 to 17.167.0.6217.167.0.6314
517.167.0.64/2817.167.0.65 to 17.167.0.7817.167.0.7914
617.167.0.80/2817.167.0.81 to 17.167.0.9417.167.0.9514
717.167.0.96/2817.167.0.97 to 17.167.0.11017.167.0.11114
817.167.0.112/2817.167.0.113 to 17.167.0.12617.167.0.12714
917.167.0.128/2817.167.0.129 to 17.167.0.14217.167.0.14314
1017.167.0.144/2817.167.0.145 to 17.167.0.15817.167.0.15914
1117.167.0.160/2817.167.0.161 to 17.167.0.17417.167.0.17514
1217.167.0.176/2817.167.0.177 to 17.167.0.19017.167.0.19114
1317.167.0.192/2817.167.0.193 to 17.167.0.20617.167.0.20714
1417.167.0.208/2817.167.0.209 to 17.167.0.22217.167.0.22314
1517.167.0.224/2817.167.0.225 to 17.167.0.23817.167.0.23914
1617.167.0.240/2817.167.0.241 to 17.167.0.25417.167.0.25514
1717.167.1.0/2817.167.1.1 to 17.167.1.1417.167.1.1514
1817.167.1.16/2817.167.1.17 to 17.167.1.3017.167.1.3114
1917.167.1.32/2817.167.1.33 to 17.167.1.4617.167.1.4714
2017.167.1.48/2817.167.1.49 to 17.167.1.6217.167.1.6314
2117.167.1.64/2817.167.1.65 to 17.167.1.7817.167.1.7914
2217.167.1.80/2817.167.1.81 to 17.167.1.9417.167.1.9514
2317.167.1.96/2817.167.1.97 to 17.167.1.11017.167.1.11114
2417.167.1.112/2817.167.1.113 to 17.167.1.12617.167.1.12714
2517.167.1.128/2817.167.1.129 to 17.167.1.14217.167.1.14314
2617.167.1.144/2817.167.1.145 to 17.167.1.15817.167.1.15914
2717.167.1.160/2817.167.1.161 to 17.167.1.17417.167.1.17514
2817.167.1.176/2817.167.1.177 to 17.167.1.19017.167.1.19114
2917.167.1.192/2817.167.1.193 to 17.167.1.20617.167.1.20714
3017.167.1.208/2817.167.1.209 to 17.167.1.22217.167.1.22314
3117.167.1.224/2817.167.1.225 to 17.167.1.23817.167.1.23914
3217.167.1.240/2817.167.1.241 to 17.167.1.25417.167.1.25514
3317.167.2.0/2817.167.2.1 to 17.167.2.1417.167.2.1514
3417.167.2.16/2817.167.2.17 to 17.167.2.3017.167.2.3114
3517.167.2.32/2817.167.2.33 to 17.167.2.4617.167.2.4714
3617.167.2.48/2817.167.2.49 to 17.167.2.6217.167.2.6314
3717.167.2.64/2817.167.2.65 to 17.167.2.7817.167.2.7914
3817.167.2.80/2817.167.2.81 to 17.167.2.9417.167.2.9514
3917.167.2.96/2817.167.2.97 to 17.167.2.11017.167.2.11114
4017.167.2.112/2817.167.2.113 to 17.167.2.12617.167.2.12714
4117.167.2.128/2817.167.2.129 to 17.167.2.14217.167.2.14314
4217.167.2.144/2817.167.2.145 to 17.167.2.15817.167.2.15914
4317.167.2.160/2817.167.2.161 to 17.167.2.17417.167.2.17514
4417.167.2.176/2817.167.2.177 to 17.167.2.19017.167.2.19114
4517.167.2.192/2817.167.2.193 to 17.167.2.20617.167.2.20714
4617.167.2.208/2817.167.2.209 to 17.167.2.22217.167.2.22314
4717.167.2.224/2817.167.2.225 to 17.167.2.23817.167.2.23914
4817.167.2.240/2817.167.2.241 to 17.167.2.25417.167.2.25514
4917.167.3.0/2817.167.3.1 to 17.167.3.1417.167.3.1514
5017.167.3.16/2817.167.3.17 to 17.167.3.3017.167.3.3114
5117.167.3.32/2817.167.3.33 to 17.167.3.4617.167.3.4714
5217.167.3.48/2817.167.3.49 to 17.167.3.6217.167.3.6314
5317.167.3.64/2817.167.3.65 to 17.167.3.7817.167.3.7914
5417.167.3.80/2817.167.3.81 to 17.167.3.9417.167.3.9514
5517.167.3.96/2817.167.3.97 to 17.167.3.11017.167.3.11114
5617.167.3.112/2817.167.3.113 to 17.167.3.12617.167.3.12714
5717.167.3.128/2817.167.3.129 to 17.167.3.14217.167.3.14314
5817.167.3.144/2817.167.3.145 to 17.167.3.15817.167.3.15914
5917.167.3.160/2817.167.3.161 to 17.167.3.17417.167.3.17514
6017.167.3.176/2817.167.3.177 to 17.167.3.19017.167.3.19114
6117.167.3.192/2817.167.3.193 to 17.167.3.20617.167.3.20714
6217.167.3.208/2817.167.3.209 to 17.167.3.22217.167.3.22314
6317.167.3.224/2817.167.3.225 to 17.167.3.23817.167.3.23914
6417.167.3.240/2817.167.3.241 to 17.167.3.25417.167.3.25514
6517.167.4.0/2817.167.4.1 to 17.167.4.1417.167.4.1514
6617.167.4.16/2817.167.4.17 to 17.167.4.3017.167.4.3114
6717.167.4.32/2817.167.4.33 to 17.167.4.4617.167.4.4714
6817.167.4.48/2817.167.4.49 to 17.167.4.6217.167.4.6314
6917.167.4.64/2817.167.4.65 to 17.167.4.7817.167.4.7914
7017.167.4.80/2817.167.4.81 to 17.167.4.9417.167.4.9514
7117.167.4.96/2817.167.4.97 to 17.167.4.11017.167.4.11114
7217.167.4.112/2817.167.4.113 to 17.167.4.12617.167.4.12714
7317.167.4.128/2817.167.4.129 to 17.167.4.14217.167.4.14314
7417.167.4.144/2817.167.4.145 to 17.167.4.15817.167.4.15914
7517.167.4.160/2817.167.4.161 to 17.167.4.17417.167.4.17514
7617.167.4.176/2817.167.4.177 to 17.167.4.19017.167.4.19114
7717.167.4.192/2817.167.4.193 to 17.167.4.20617.167.4.20714
7817.167.4.208/2817.167.4.209 to 17.167.4.22217.167.4.22314
7917.167.4.224/2817.167.4.225 to 17.167.4.23817.167.4.23914
8017.167.4.240/2817.167.4.241 to 17.167.4.25417.167.4.25514
8117.167.5.0/2817.167.5.1 to 17.167.5.1417.167.5.1514
8217.167.5.16/2817.167.5.17 to 17.167.5.3017.167.5.3114
8317.167.5.32/2817.167.5.33 to 17.167.5.4617.167.5.4714
8417.167.5.48/2817.167.5.49 to 17.167.5.6217.167.5.6314
8517.167.5.64/2817.167.5.65 to 17.167.5.7817.167.5.7914
8617.167.5.80/2817.167.5.81 to 17.167.5.9417.167.5.9514
8717.167.5.96/2817.167.5.97 to 17.167.5.11017.167.5.11114
8817.167.5.112/2817.167.5.113 to 17.167.5.12617.167.5.12714
8917.167.5.128/2817.167.5.129 to 17.167.5.14217.167.5.14314
9017.167.5.144/2817.167.5.145 to 17.167.5.15817.167.5.15914
9117.167.5.160/2817.167.5.161 to 17.167.5.17417.167.5.17514
9217.167.5.176/2817.167.5.177 to 17.167.5.19017.167.5.19114
9317.167.5.192/2817.167.5.193 to 17.167.5.20617.167.5.20714
9417.167.5.208/2817.167.5.209 to 17.167.5.22217.167.5.22314
9517.167.5.224/2817.167.5.225 to 17.167.5.23817.167.5.23914
9617.167.5.240/2817.167.5.241 to 17.167.5.25417.167.5.25514
9717.167.6.0/2817.167.6.1 to 17.167.6.1417.167.6.1514
9817.167.6.16/2817.167.6.17 to 17.167.6.3017.167.6.3114
9917.167.6.32/2817.167.6.33 to 17.167.6.4617.167.6.4714
10017.167.6.48/2817.167.6.49 to 17.167.6.6217.167.6.6314
10117.167.6.64/2817.167.6.65 to 17.167.6.7817.167.6.7914
10217.167.6.80/2817.167.6.81 to 17.167.6.9417.167.6.9514
10317.167.6.96/2817.167.6.97 to 17.167.6.11017.167.6.11114
10417.167.6.112/2817.167.6.113 to 17.167.6.12617.167.6.12714
10517.167.6.128/2817.167.6.129 to 17.167.6.14217.167.6.14314
10617.167.6.144/2817.167.6.145 to 17.167.6.15817.167.6.15914
10717.167.6.160/2817.167.6.161 to 17.167.6.17417.167.6.17514
10817.167.6.176/2817.167.6.177 to 17.167.6.19017.167.6.19114
10917.167.6.192/2817.167.6.193 to 17.167.6.20617.167.6.20714
11017.167.6.208/2817.167.6.209 to 17.167.6.22217.167.6.22314
11117.167.6.224/2817.167.6.225 to 17.167.6.23817.167.6.23914
11217.167.6.240/2817.167.6.241 to 17.167.6.25417.167.6.25514
11317.167.7.0/2817.167.7.1 to 17.167.7.1417.167.7.1514
11417.167.7.16/2817.167.7.17 to 17.167.7.3017.167.7.3114
11517.167.7.32/2817.167.7.33 to 17.167.7.4617.167.7.4714
11617.167.7.48/2817.167.7.49 to 17.167.7.6217.167.7.6314
11717.167.7.64/2817.167.7.65 to 17.167.7.7817.167.7.7914
11817.167.7.80/2817.167.7.81 to 17.167.7.9417.167.7.9514
11917.167.7.96/2817.167.7.97 to 17.167.7.11017.167.7.11114
12017.167.7.112/2817.167.7.113 to 17.167.7.12617.167.7.12714
12117.167.7.128/2817.167.7.129 to 17.167.7.14217.167.7.14314
12217.167.7.144/2817.167.7.145 to 17.167.7.15817.167.7.15914
12317.167.7.160/2817.167.7.161 to 17.167.7.17417.167.7.17514
12417.167.7.176/2817.167.7.177 to 17.167.7.19017.167.7.19114
12517.167.7.192/2817.167.7.193 to 17.167.7.20617.167.7.20714
12617.167.7.208/2817.167.7.209 to 17.167.7.22217.167.7.22314
12717.167.7.224/2817.167.7.225 to 17.167.7.23817.167.7.23914
12817.167.7.240/2817.167.7.241 to 17.167.7.25417.167.7.25514
12917.167.8.0/2817.167.8.1 to 17.167.8.1417.167.8.1514
13017.167.8.16/2817.167.8.17 to 17.167.8.3017.167.8.3114
13117.167.8.32/2817.167.8.33 to 17.167.8.4617.167.8.4714
13217.167.8.48/2817.167.8.49 to 17.167.8.6217.167.8.6314
13317.167.8.64/2817.167.8.65 to 17.167.8.7817.167.8.7914
13417.167.8.80/2817.167.8.81 to 17.167.8.9417.167.8.9514
13517.167.8.96/2817.167.8.97 to 17.167.8.11017.167.8.11114
13617.167.8.112/2817.167.8.113 to 17.167.8.12617.167.8.12714
13717.167.8.128/2817.167.8.129 to 17.167.8.14217.167.8.14314
13817.167.8.144/2817.167.8.145 to 17.167.8.15817.167.8.15914
13917.167.8.160/2817.167.8.161 to 17.167.8.17417.167.8.17514
14017.167.8.176/2817.167.8.177 to 17.167.8.19017.167.8.19114
14117.167.8.192/2817.167.8.193 to 17.167.8.20617.167.8.20714
14217.167.8.208/2817.167.8.209 to 17.167.8.22217.167.8.22314
14317.167.8.224/2817.167.8.225 to 17.167.8.23817.167.8.23914
14417.167.8.240/2817.167.8.241 to 17.167.8.25417.167.8.25514
14517.167.9.0/2817.167.9.1 to 17.167.9.1417.167.9.1514
14617.167.9.16/2817.167.9.17 to 17.167.9.3017.167.9.3114
14717.167.9.32/2817.167.9.33 to 17.167.9.4617.167.9.4714
14817.167.9.48/2817.167.9.49 to 17.167.9.6217.167.9.6314
14917.167.9.64/2817.167.9.65 to 17.167.9.7817.167.9.7914
15017.167.9.80/2817.167.9.81 to 17.167.9.9417.167.9.9514
15117.167.9.96/2817.167.9.97 to 17.167.9.11017.167.9.11114
15217.167.9.112/2817.167.9.113 to 17.167.9.12617.167.9.12714
15317.167.9.128/2817.167.9.129 to 17.167.9.14217.167.9.14314
15417.167.9.144/2817.167.9.145 to 17.167.9.15817.167.9.15914
15517.167.9.160/2817.167.9.161 to 17.167.9.17417.167.9.17514
15617.167.9.176/2817.167.9.177 to 17.167.9.19017.167.9.19114
15717.167.9.192/2817.167.9.193 to 17.167.9.20617.167.9.20714
15817.167.9.208/2817.167.9.209 to 17.167.9.22217.167.9.22314
15917.167.9.224/2817.167.9.225 to 17.167.9.23817.167.9.23914
16017.167.9.240/2817.167.9.241 to 17.167.9.25417.167.9.25514
16117.167.10.0/2817.167.10.1 to 17.167.10.1417.167.10.1514
16217.167.10.16/2817.167.10.17 to 17.167.10.3017.167.10.3114
16317.167.10.32/2817.167.10.33 to 17.167.10.4617.167.10.4714
16417.167.10.48/2817.167.10.49 to 17.167.10.6217.167.10.6314
16517.167.10.64/2817.167.10.65 to 17.167.10.7817.167.10.7914
16617.167.10.80/2817.167.10.81 to 17.167.10.9417.167.10.9514
16717.167.10.96/2817.167.10.97 to 17.167.10.11017.167.10.11114
16817.167.10.112/2817.167.10.113 to 17.167.10.12617.167.10.12714
16917.167.10.128/2817.167.10.129 to 17.167.10.14217.167.10.14314
17017.167.10.144/2817.167.10.145 to 17.167.10.15817.167.10.15914
17117.167.10.160/2817.167.10.161 to 17.167.10.17417.167.10.17514
17217.167.10.176/2817.167.10.177 to 17.167.10.19017.167.10.19114
17317.167.10.192/2817.167.10.193 to 17.167.10.20617.167.10.20714
17417.167.10.208/2817.167.10.209 to 17.167.10.22217.167.10.22314
17517.167.10.224/2817.167.10.225 to 17.167.10.23817.167.10.23914
17617.167.10.240/2817.167.10.241 to 17.167.10.25417.167.10.25514
17717.167.11.0/2817.167.11.1 to 17.167.11.1417.167.11.1514
17817.167.11.16/2817.167.11.17 to 17.167.11.3017.167.11.3114
17917.167.11.32/2817.167.11.33 to 17.167.11.4617.167.11.4714
18017.167.11.48/2817.167.11.49 to 17.167.11.6217.167.11.6314
18117.167.11.64/2817.167.11.65 to 17.167.11.7817.167.11.7914
18217.167.11.80/2817.167.11.81 to 17.167.11.9417.167.11.9514
18317.167.11.96/2817.167.11.97 to 17.167.11.11017.167.11.11114
18417.167.11.112/2817.167.11.113 to 17.167.11.12617.167.11.12714
18517.167.11.128/2817.167.11.129 to 17.167.11.14217.167.11.14314
18617.167.11.144/2817.167.11.145 to 17.167.11.15817.167.11.15914
18717.167.11.160/2817.167.11.161 to 17.167.11.17417.167.11.17514
18817.167.11.176/2817.167.11.177 to 17.167.11.19017.167.11.19114
18917.167.11.192/2817.167.11.193 to 17.167.11.20617.167.11.20714
19017.167.11.208/2817.167.11.209 to 17.167.11.22217.167.11.22314
19117.167.11.224/2817.167.11.225 to 17.167.11.23817.167.11.23914
19217.167.11.240/2817.167.11.241 to 17.167.11.25417.167.11.25514
19317.167.12.0/2817.167.12.1 to 17.167.12.1417.167.12.1514
19417.167.12.16/2817.167.12.17 to 17.167.12.3017.167.12.3114
19517.167.12.32/2817.167.12.33 to 17.167.12.4617.167.12.4714
19617.167.12.48/2817.167.12.49 to 17.167.12.6217.167.12.6314
19717.167.12.64/2817.167.12.65 to 17.167.12.7817.167.12.7914
19817.167.12.80/2817.167.12.81 to 17.167.12.9417.167.12.9514
19917.167.12.96/2817.167.12.97 to 17.167.12.11017.167.12.11114
20017.167.12.112/2817.167.12.113 to 17.167.12.12617.167.12.12714
20117.167.12.128/2817.167.12.129 to 17.167.12.14217.167.12.14314
20217.167.12.144/2817.167.12.145 to 17.167.12.15817.167.12.15914
20317.167.12.160/2817.167.12.161 to 17.167.12.17417.167.12.17514
20417.167.12.176/2817.167.12.177 to 17.167.12.19017.167.12.19114
20517.167.12.192/2817.167.12.193 to 17.167.12.20617.167.12.20714
20617.167.12.208/2817.167.12.209 to 17.167.12.22217.167.12.22314
20717.167.12.224/2817.167.12.225 to 17.167.12.23817.167.12.23914
20817.167.12.240/2817.167.12.241 to 17.167.12.25417.167.12.25514
20917.167.13.0/2817.167.13.1 to 17.167.13.1417.167.13.1514
21017.167.13.16/2817.167.13.17 to 17.167.13.3017.167.13.3114
21117.167.13.32/2817.167.13.33 to 17.167.13.4617.167.13.4714
21217.167.13.48/2817.167.13.49 to 17.167.13.6217.167.13.6314
21317.167.13.64/2817.167.13.65 to 17.167.13.7817.167.13.7914
21417.167.13.80/2817.167.13.81 to 17.167.13.9417.167.13.9514
21517.167.13.96/2817.167.13.97 to 17.167.13.11017.167.13.11114
21617.167.13.112/2817.167.13.113 to 17.167.13.12617.167.13.12714
21717.167.13.128/2817.167.13.129 to 17.167.13.14217.167.13.14314
21817.167.13.144/2817.167.13.145 to 17.167.13.15817.167.13.15914
21917.167.13.160/2817.167.13.161 to 17.167.13.17417.167.13.17514
22017.167.13.176/2817.167.13.177 to 17.167.13.19017.167.13.19114
22117.167.13.192/2817.167.13.193 to 17.167.13.20617.167.13.20714
22217.167.13.208/2817.167.13.209 to 17.167.13.22217.167.13.22314
22317.167.13.224/2817.167.13.225 to 17.167.13.23817.167.13.23914
22417.167.13.240/2817.167.13.241 to 17.167.13.25417.167.13.25514
22517.167.14.0/2817.167.14.1 to 17.167.14.1417.167.14.1514
22617.167.14.16/2817.167.14.17 to 17.167.14.3017.167.14.3114
22717.167.14.32/2817.167.14.33 to 17.167.14.4617.167.14.4714
22817.167.14.48/2817.167.14.49 to 17.167.14.6217.167.14.6314
22917.167.14.64/2817.167.14.65 to 17.167.14.7817.167.14.7914
23017.167.14.80/2817.167.14.81 to 17.167.14.9417.167.14.9514
23117.167.14.96/2817.167.14.97 to 17.167.14.11017.167.14.11114
23217.167.14.112/2817.167.14.113 to 17.167.14.12617.167.14.12714
23317.167.14.128/2817.167.14.129 to 17.167.14.14217.167.14.14314
23417.167.14.144/2817.167.14.145 to 17.167.14.15817.167.14.15914
23517.167.14.160/2817.167.14.161 to 17.167.14.17417.167.14.17514
23617.167.14.176/2817.167.14.177 to 17.167.14.19017.167.14.19114
23717.167.14.192/2817.167.14.193 to 17.167.14.20617.167.14.20714
23817.167.14.208/2817.167.14.209 to 17.167.14.22217.167.14.22314
23917.167.14.224/2817.167.14.225 to 17.167.14.23817.167.14.23914
24017.167.14.240/2817.167.14.241 to 17.167.14.25417.167.14.25514
24117.167.15.0/2817.167.15.1 to 17.167.15.1417.167.15.1514
24217.167.15.16/2817.167.15.17 to 17.167.15.3017.167.15.3114
24317.167.15.32/2817.167.15.33 to 17.167.15.4617.167.15.4714
24417.167.15.48/2817.167.15.49 to 17.167.15.6217.167.15.6314
24517.167.15.64/2817.167.15.65 to 17.167.15.7817.167.15.7914
24617.167.15.80/2817.167.15.81 to 17.167.15.9417.167.15.9514
24717.167.15.96/2817.167.15.97 to 17.167.15.11017.167.15.11114
24817.167.15.112/2817.167.15.113 to 17.167.15.12617.167.15.12714
24917.167.15.128/2817.167.15.129 to 17.167.15.14217.167.15.14314
25017.167.15.144/2817.167.15.145 to 17.167.15.15817.167.15.15914
25117.167.15.160/2817.167.15.161 to 17.167.15.17417.167.15.17514
25217.167.15.176/2817.167.15.177 to 17.167.15.19017.167.15.19114
25317.167.15.192/2817.167.15.193 to 17.167.15.20617.167.15.20714
25417.167.15.208/2817.167.15.209 to 17.167.15.22217.167.15.22314
25517.167.15.224/2817.167.15.225 to 17.167.15.23817.167.15.23914
25617.167.15.240/2817.167.15.241 to 17.167.15.25417.167.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses